X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Mac OS 10.4.11 does not work with Firefox 4. To redown load older go to www.mozilla.com/en-US/products/download.html?product=firefox-3.6.16&os=osx&lang=en-US

Posted

I down loaded Firefox 4 as you promoted and lost internet service! Message says it won't work with my OS version. It took me a LONNNGG tome to locate the Firefox 3.6.16 to reinstall, so I am sending this in to help others. www.mozilla.com/en-US/products/download.html?product=firefox-3.6.16&os=osx&lang=en-US Your web site says you will soon no longer be adding improvements to 3.6.16, so I should switch to Firefox 4. How do I do that? I have no intentions of screwing up my Mac by upgrading to OS 5 or 6. I want to stay with OS 10. 4.11. And judging by the other help messages, I am far from the only one. Please fix Firefox 4 to work for OS 4! And WARN people about OS X needs Thanks

Additional System Details

This happened

Every time Firefox opened

This started when...

downloaded Firefox 4, now reinstalled 3.6.16 to be able to operate

Installed Plug-ins

  • Gecko default plugin
  • Runs Java applets using the latest installed versions of Java. For more information: Java Embedding Plugin. Run version test: Java Information.
  • iPhoto6
  • Musicnotes Viewer plugin 1.17.2 http://www.musicnotes.com
  • Shockwave Flash 10.2 r152
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.4; en-US; rv:1.9.2.16) Gecko/20110319 Firefox/3.6.16

More Information

I have Mac OS 10.4.11 and intend to keep it. 1.83 GHz Intel Core Duo

auscompgeek 2 solutions 69 answers

Your Mac OS is outdated. You'll have to update your Mac to the latest version. This is because Firefox uses new features of Mac OS that is not in older versions of Mac.

Helpful Reply

This is so frustrating. I said in my original message that I do NOT want to supposedly "update" my OS to 10.5 or more. I have seen those versions and DON'T like them. They louse up iMovie & are more cumbersome. I am not interested in layers of networking, games, and being tangled up with an insecure "cloud." The iTunes set up is already obnoxious enough, when you try to manage, organize & back up your music. I do not like how the computer/phone/etc. high tech world take away our choices, forcing us to up grade to stuff we don't want, frequently at a higher cost. I am not the only one who wants to stick with the better Mac OS system. If this answer is actually from Firefox, then I am disappointed in FireFox. I really appreciated the security of using Firefox to connect to the internet.

icky_thump 0 solutions 4 answers

Helpful Reply

Bresler, You're not the only one. Though with me it's not a preference I have to be on 10.4, it's just what my work computer is on. I have no control over that.

berlin72 0 solutions 1 answers

I used this link today: http://www.mozilla.org/en-US/firefox/all-older.html

Modified by berlin72

berty1000 0 solutions 1 answers

There's some people who still care about us, users of old OSx.... they have developped a fork of firefox.

http://www.floodgap.com/software/tenfourfox/


Now I'm going soon to move on Windows. So tired of OSX...